Package org.eclipse.rap.rwt.service

## Class SettingStoreEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.rap.rwt.service.SettingStoreEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public final class SettingStoreEvent
    extends java.util.EventObject

An event that contains the details of a single attribute change in the setting store. The change can be one of the following:

- an attribute was added (in this case the old value is `null`)
- and attribute was modified
- an attribute was removed (in this case the new value is `null`)

Note: Clients are responsible for using the `getAttributeName()` method to check if the changed attribute is of interest to them.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`SettingStoreEvent​(SettingStore source, java.lang.String attributeName, java.lang.String oldValue, java.lang.String newValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAttributeName()` Returns the name of the changed attribute.
`java.lang.String` `getNewValue()` Return the value of the attribute after the change.
`java.lang.String` `getOldValue()` Returns the value of the attribute before the change.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SettingStoreEvent

    public SettingStoreEvent​(SettingStore source,
                             java.lang.String attributeName,
                             java.lang.String oldValue,
                             java.lang.String newValue)

### Method Detail

#### getAttributeName

    public java.lang.String getAttributeName()

Returns the name of the changed attribute.

Returns:
  the attribute name, never `null`

#### getNewValue

    public java.lang.String getNewValue()

Return the value of the attribute after the change.

Returns:
  the new attribute value, may be `null` if the attribute has been removed

#### getOldValue

    public java.lang.String getOldValue()

Returns the value of the attribute before the change.

Returns:
  the previous attribute value, may be `null` if the attribute has been added